Skip to page content

Get campaign reports

Retrieve delivery results in batches using the campaign ID.

POSThttps://api.quantumtec.eu/v1/sms/report/bulk

POST: X-ApiKey headerAuthentication

Request body

Request body
ParameterDescription
bulkIdstringrequiredCampaign ID returned when sending.
LimitintegeroptionalMaximum reports to return. Default: 50. Maximum: 500.
cURL · POST
curl --request POST 'https://api.quantumtec.eu/v1/sms/report/bulk' \
  --header 'X-ApiKey: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --data '{
  "bulkId": "1545e7e0-ad73-1f42-831a-5345bd11d5b4",
  "Limit": 50
}'

Response

Response
ParameterDescription
bulkIdstringCampaign identifier.
statusintegerCampaign processing status, 1–12.
deliveryResultsarrayDelivery reports in this batch; the record fields are listed below.
JSON response
{
  "bulkId": "1545e7e0-ad73-1f42-831a-5345bd11d5b4",
  "status": 9,
  "deliveryResults": [
    {
      "messageId": "19905880-9404-4686-a8af-54af8888b96d",
      "to": 37250000000,
      "partId": "300000005",
      "state": 2,
      "delivered": "2026-09-01T10:00:02.000Z",
      "errorCode": "000"
    }
  ]
}

Delivery result fields

Delivery result fields
ParameterDescription
messageIdstringMessage identifier.
tonumberRecipient number in the published response example.
partIdstringIdentifier of an SMS part.
stateintegerDelivery state, 2–8.
deliveredstringTime the delivery report was received, in UTC.
errorCodestringOperator error code; not supported by every operator.